function init(hero) {
    hero.setName("Superboy");
    hero.setTier(9);
    hero.setVersion("\u00A74\u00A7lT\u00A76\u00A7le\u00A7a\u00A7le\u00A7d\u00A7ln \u00A7b\u00A7lT\u00A7a\u00A7li\u00A76\u00A7lt\u00A7d\u00A7la\u00A7b\u00A7ln\u00A74\u00A7ls\u00A7r");
    
    hero.setHelmet("Head");
    hero.setChestplate("Shirt");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("mvh:tt_superboy");
    hero.addAttribute("PUNCH_DAMAGE", 16.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 2.0, 0);
    
    hero.addKeyBind("HEAT_VISION", "Freeze Breath", 1);
    hero.addKeyBind("CHARGED_BEAM", "Heat Vision", 2);
    hero.addKeyBind("HOVER", "key.levitate", 3);
    hero.addKeyBind("FLIGHTSTYLETOGGLE", "Toggle Flight Style", 4);

    hero.setModifierEnabled(isModifierEnabled);

}
function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}
function isModifierEnabled(entity, modifier) {
        switch (modifier.name()) {
        case "fiskheroes:teleportation":
            return entity.posY() > 600;
        case "fiskheroes:hover":
            return entity.posY() <= 600;
        case "fiskheroes:flight":
            return !entity.getData("mvh:dyn/flightstyletoggle");
        case "fiskheroes:gliding":
            return entity.getData("mvh:dyn/flightstyletoggle");
        default:
        return true;
     }
  }